Subject: Re: [PATCH net-next v7 1/3] rculist: Add hlist_nulls_replace_rcu() and hlist_nulls_replace_init_rcu()

From: luoxuanqiang <[email-masked]>
Date: Tue, 14 Oct 2025 10:29:11 +0800

在 2025/10/13 20:08, Simon Horman 写道:
> On Mon, Oct 13, 2025 at 03:04:34PM +0800, luoxuanqiang wrote:
>> 在 2025/10/13 14:26, Jason Xing 写道:
>>> On Mon, Oct 13, 2025 at 1:36 PM Jiayuan Chen <[email-masked]> wrote:
>>>> On Tue, Sep 30, 2025 at 11:16:00AM +0800, Paolo Abeni wrote:
>>>>> On 9/26/25 9:40 AM, [email-masked] wrote:
>>>>>> From: Xuanqiang Luo <[email-masked]>
>>>>>>
>>>>>> Add two functions to atomically replace RCU-protected hlist_nulls entries.
>>>> [...]
>>>>>> Signed-off-by: Xuanqiang Luo <[email-masked]>
>>>>> This deserves explicit ack from RCU maintainers.
>>>>>
>>>>> Since we are finalizing the net-next PR, I suggest to defer this series
>>>>> to the next cycle, to avoid rushing such request.
>>>>>
>>>>> Thanks,
>>>>>
>>>>> Paolo
>>>> Hi maintainers,
>>>>
>>>> This patch was previously held off due to the merge window.
>>>>
>>>> Now that the merge net-next has open and no further changes are required,
>>>> could we please consider merging it directly?
>>>>
>>>> Apologies for the slight push, but I'm hoping we can get a formal
>>>> commit backported to our production branch.
>>> I suppose a new version that needs to be rebased is necessary.
>>>
>>> Thanks,
>>> Jason
>> I’ve rebased the series of patches onto the latest codebase locally and
>> didn’t encounter any errors.
>>
>> If there’s anything else I can do to help get these patches merged, just
>> let me know.
> Hi,
>
> The patch-set has been marked as "Deffered" in Patchwork.
> Presumably by Paolo in conjunction with his response above.
> As such the patch-set needs to be (rebased and) reposted in
> order for it to be considered by the maintainers again.
>
> I think the best practice is for this to happen _after_ one
> of the maintainers has sent an "ANN" email announcing that
> net-next has re-opened. I don't believe that has happened yet.
>
> Thanks!

Dear Simon,

Thanks for the detailed explanation. I think we now know how
to handle this kind of situation.

net‑next has been reopened, and I have rebased and resent
the patch-set.

Thanks!